Problem with Dradis instalation

Hello I’m new using Dradis (well I have not installed yet) when I run the command ./bin/setup everything looks OK until next message appear and I don’t know how to solve it or if I’m doing something bad. Please, help, next is the message

Hey Fernando!

I noticed in the error resque-status is running at a different version then we have in the committed Gemfile.lock.

We’ve seen this error before if resque gets upgraded to 2.0.0 and resque-status changes from 0.5.0 to 0.3.0. Any chance you may have removed the Gemfile.lock before running ruby bin/setup. Or was bundle update run at some point?

If you have, I’d recommend doing a git checkout Gemfile.lock to reset the lockfile. If needed run gem list and see if multiple versions of resque or resque-status are installed. If they are remove them, and then try running ruby bin/setup again.

Let me know how it goes!

1 Like

Thanks a lot. It worked, but now it exist other problem. I can see there is a problem with a gem called ‘thor’, but it’s strange because I’ve already stalled it. Or maybe I’m totally lost and that is not the problem (sorry I’m newbie) I share the error with you and thor gems version

I hope you can help me, and thanks man

Hey Fernando,

Glad the first step worked for you. This second error you’re seeing I have also encountered. It’s because the original setup created a directory in dradis-ce/attachments/. Then when you run it again it tries to re-create it. Unfortunately running the task isn’t always idempotent and the file already existing causes a problem.

To solve it just clear that directory out.

$ rm -rf dradis-ce/attachments/*
$ ruby bin/setup

Let me know how that goes!

Bro, thanks a lot, finally I could do it. I’m very grateful with your help. It works. Thanks